import { WidgetOption, WidgetResponse } from "./types";
export declare function turnOnVisibility(): void;
export declare function init(config: WidgetOption): void;
export type IFrameMessage = {
    event: MessageEvent;
    data: WidgetResponse;
};
/**
 * Adds an event listener for receiving messages from the parent window.
 *
 * This function listens for messages sent to the current window and invokes the
 * specified callback when specific message events occur.
 *
 * @param {function} onEvent - A callback function to handle received events.
 */
export declare function getEvent(onEvent: any): void;
export declare function turnOffVisibility(): void;
export declare function openWidget(config: WidgetOption): void;
export declare function createLoader(): HTMLDivElement;
export declare function addLoaderStyles(): void;
